# Interface StreamOptions<T>

interface StreamOptions<T> {
autoDestroy?: boolean;
emitClose?: boolean;
highWaterMark?: number;
objectMode?: boolean;
signal?: AbortSignal;
construct?(this, callback): void;
destroy?(this, error, callback): void;
}

#### Type Parameters

- T extends Stream

#### Hierarchy (view full)

- Abortable
  - StreamOptions
    - ReadableOptions
    - WritableOptions

- Defined in node_modules/@types/node/stream.d.ts:954

#####
Index

### Properties

autoDestroy?
emitClose?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

- Defined in node_modules/@types/node/stream.d.ts:960

### `Optional` emitClose

emitClose?: boolean

- Defined in node_modules/@types/node/stream.d.ts:955

### `Optional` highWaterMark

highWaterMark?: number

- Defined in node_modules/@types/node/stream.d.ts:956

### `Optional` objectMode

objectMode?: boolean

- Defined in node_modules/@types/node/stream.d.ts:957

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from Abortable.signal

- Defined in node_modules/@types/node/events.d.ts:486

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - this: T
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:958

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - this: T
  - error: null | Error
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:959